* this program creates gmm91 and pan1 data sets for model estimation; 

proc import datafile='\\psf\Home\Documents\Tegemeo\data\Khh_97_lookup_stata\pricelp-fullydocumented.dta' out=pricelp dbms = stata replace;
      run;
proc means data=pricelp; run; 
proc import datafile='\\psf\Home\Documents\Tegemeo\data\Kenya_general_data_stata\cpi_allyears.dta' out=cpi dbms = stata replace;
      run;
proc print data=cpi; run; 

proc import datafile='\\psf\Home\Documents\Tegemeo\data\Kenya_general_data_stata\soil.dta' out=soil dbms = stata replace;
      run;
proc means data=soil; run; 
data soila; set soil; keep vil depth clay silt sand; run;

proc import datafile='\\psf\Home\Documents\Tegemeo\data\K07_data_stata\hh_rainfall_2010.xls' out=rf2010 dbms = xls replace;
     sheet='sheet2'; getnames=yes; run;
data rain2010; set rf2010; 
main10=rain; 
keep hhid main10; 
*proc means data=rain2010; run; 

proc import datafile='\\psf\Home\Documents\Tegemeo\data\K07_data_stata\climate1.xls' out=climate1 dbms = xls replace;
     sheet='climate1'; getnames=yes; run;
proc means data=climate1; run;

proc import datafile='\\psf\Home\Documents\Tegemeo\data\K07_data_stata\teg_hh07.xls' out=hh07 dbms = xls replace;
     sheet='_hh07'; getnames=yes; run;

proc import datafile='\\psf\Home\Documents\Tegemeo\data\K07_data_stata\teg_hh04.xls' out=hh04 dbms = xls replace;
     sheet='_hh07'; getnames=yes; run;

proc import datafile='\\psf\Home\Documents\Tegemeo\data\K07_data_stata\teg_yld97_4-8-18.xls' out=yld97 dbms = xls replace;
     sheet='yld97'; getnames=yes; run;
proc means data=yld97; var hlcostac97 ; run; 

proc import datafile='\\psf\Home\Documents\Tegemeo\data\K07_data_stata\rain9607m.xls' out=rain9607m dbms = xls replace;
     sheet='rain9607m'; getnames=yes; run;

proc import datafile='\\psf\Home\Documents\Tegemeo\data\K07_data_stata\rainsall.xls' out=rainsall dbms = xls replace;
     sheet='rainsall'; getnames=yes; run;

proc import datafile='\\psf\Home\Documents\Tegemeo\data\K07_data_stata\allhhid07.xls' out=allhhid07 dbms = xls replace;
     sheet='allhhid07'; getnames=yes; run;
proc import datafile='\\psf\Home\Documents\Tegemeo\data\KHH97_data_stata\hhidfinl97.dta' out=hhidfinl97 dbms = stata replace; run;

	 *proc means data=allhhid07; run;
proc import datafile='\\psf\Home\Documents\Tegemeo\data\K07_data_stata\teg_yld00_1-11-18.xls' out=yld00 dbms = xls replace;
     sheet='yld00'; getnames=yes; run;
proc means data=yld00; run;
proc import datafile='\\psf\Home\Documents\Tegemeo\data\K07_data_stata\teg_yld04_4-8-18.xls' out=yld04 dbms = xls replace;
     sheet='yld04'; getnames=yes; run;
proc means data=yld04; run; 
proc import datafile='\\psf\Home\Documents\Tegemeo\data\K07_data_stata\teg_yld07_1-16-18.xls' out=yld07 dbms = xls replace;
     sheet='yld07'; getnames=yes; run;
proc means data=yld07; run; 

proc import datafile='\\psf\Home\Documents\Tegemeo\data\K07_data_stata\teg_yld10_1-11-18.xls' out=yld10 dbms = xls replace;
     sheet='yld10'; getnames=yes; run;
proc means data=yld10; run; 

proc sort data=rain9607m; by vil; run; 
proc sort data=allhhid07; by vil; run; 
data rain; merge rain9607m allhhid07; by vil; run; 
proc means data=rain; run; 

proc sort data=rainsall; by vil; run;
data rains97; set rainsall; 
if year=1997;
pltrain97=pltrain; 
run; 
data rains00; set rainsall; 
if year=2000;
pltrain00=pltrain; 
run; 
data rains04; set rainsall; 
if year=2004;
pltrain04=pltrain; 
run; 
data rainsa; merge rains97 rains00 rains04; by vil; run;

proc sort data=climate1; by vil; run;

proc sort data=allhhid07; by vil; run; 
data rainsid; merge rainsa allhhid07 climate1 soila; by vil; 
keep hhid pltrain97 pltrain00 pltrain04 annpre annxt annit annpet annppe annmaxxt annminit depth clay silt sand; run; 
proc means data=rainsid; run; 
proc sort data=rainsid; by hhid; run; 


proc sort data=rain; by hhid; run; 
proc sort data=yld97; by hhid; run;
proc sort data=yld00; by hhid; run;
proc sort data=yld04; by hhid; run;
proc sort data=yld07; by hhid; run;
proc sort data=yld10; by hhid; run;
proc sort data=rain2010; by hhid; run; 
data a4a7m; merge yld97 yld00 yld04 yld07 yld10 rain rainsid rain2010; by hhid; 
run; 

proc sort data=a4a7m; by vil; run;
proc means mean data=a4a7m noprint; var main10; by vil; output out=mrain2010 mean=mmain10; run; 

data a4a7mm; merge a4a7m mrain2010; by vil; 
if main10=. then main10=mmain10; 

proc means data=a4a7mm; var yld10 main07 main10 hyb97 hyb00 hyb04 hyb07 hyb10; run; 

data a47m; set a4a7mm; 
dlow=0; 
dmed=0;
dhigh=0; 
if zone=2 or zone=3 or zone=4 then dlow=1;
if zone=6 then dhigh=1; 
if dhigh=0 and dlow=0 then dmed=1; 
if dhigh=1 then azone=3;
 if dmed=1 then azone=2; 
if dlow=1 then azone=1;
dhiv=0; 
if dist=42 or dist=43 or dist=45 then dhiv=1; 
if hyb97=1  and hyb04=1  then stay74=1 ; else stay74=0;
if hyb97=0 and hyb04=0 then nonh74=1 ; else nonh74=0;
if hyb97=1  and hyb04=0 then leav74=1 ; else leav74=0;
if hyb97=0 and hyb04=1  then join74=1 ; else join74=0;

if hyb97=1  and hyb00=1  then stay00=1 ; else stay00=0;
if hyb97=0 and hyb00=0 then nonh00=1 ; else nonh00=0;
if hyb97=1  and hyb00=0 then leav00=1 ; else leav00=0;
if hyb97=0 and hyb00=1  then join00=1 ; else join00=0;

if hyb00=1  and hyb04=1  then stay04=1 ; else stay04=0;
if hyb00=0 and hyb04=0 then nonh04=1 ; else nonh04=0;
if hyb00=1  and hyb04=0 then leav04=1 ; else leav04=0;
if hyb00=0 and hyb04=1  then join04=1 ; else join04=0;

if hyb97=1 and hyb04=1  then stay904=1 ; else stay904=0;
if hyb97=0 and hyb04=0 then nonh904=1 ; else nonh904=0;
if hyb97=1 and hyb04=0 then leav904=1 ; else leav904=0;
if hyb97=0 and hyb04=1  then join904=1 ; else join904=0;

if hyb04=0 and hyb07=1  then join=1 ; else join=0; 
if hyb04=1  and hyb07=0 then leav=1 ; else leav=0; 
if hyb04=1  and hyb07=1  then stay=1 ; else stay=0; 
if hyb04=0 and hyb07=0 then nonh=1 ; else nonh=0; 

if hyb07=1  and hyb10=1  then stay71=1 ; else stay71=0;
if hyb07=0 and hyb10=0 then nonh71=1 ; else nonh71=0;
if hyb07=1  and hyb10=0 then leav71=1 ; else leav71=0;
if hyb07=0 and hyb10=1  then join71=1 ; else join71=0;

if hyb97=1 and hyb00=1 and hyb04=1 and hyb07=1 and hyb10=1 then hyball=1; else hyball=0;
if hyb97=0 and hyb00=0 and hyb04=0 and hyb07=0 and hyb10=0 then hybnon=1; else hybnon=0;
leavall=0; 
joinall=0;
*if hyb97=1 and hyb00=0 and hyb04=0 and hyb07=0 and hyb10=0 then leavall=1;
if hyb97=1 and hyb00=1 and hyb04=0 and hyb07=0 and hyb10=0 then leavall=1;
if hyb97=1 and hyb00=1 and hyb04=1 and hyb07=0 and hyb10=0 then leavall=1;
if hyb97=1 and hyb00=1 and hyb04=1 and hyb07=1 and hyb10=0 then leavall=1;
if hyb97=0 and hyb00=1 and hyb04=1 and hyb07=1 and hyb10=1 then joinall=1;
if hyb97=0 and hyb00=0 and hyb04=1 and hyb07=1 and hyb10=1 then joinall=1;
if hyb97=0 and hyb00=0 and hyb04=0 and hyb07=1 and hyb10=1 then joinall=1;
*if hyb97=0 and hyb00=0 and hyb04=0 and hyb07=0 and hyb10=1 then joinall=1;
if hyball=0 and hybnon=0 then switch=1; else switch=0;
if hyball=0 and hybnon=0 and joinall=0 and leavall=0 then switch1=1; else switch1=0;

main04=main04/1000;
main07=main07/1000;
main97=main97/1000;
main00=main00/1000; 
aveyld=(yld97+yld00+yld04+yld07+yld10)/5;
laveyld=log(aveyld); 
lyld97=log(yld97);
lyld00=log(yld00); 
lyld04=log(yld04);
lyld07=log(yld07); 
lyld10=log(yld10); 
laveyld77=log((yld97+yld07)/2);
laveyld47=log((yld04+yld07)/2);
laveyld70=log((yld97+yld00)/2);
laveyld07=log((yld00+yld07)/2);
/*laveyld70=(lyld97+lyld00)/2;
laveyld47=(lyld04+lyld07)/2;
laveyld77=(lyld97+lyld07)/2;
laveyld07=(lyld00+lyld07)/2;*/
fertlog97=fertkgac97; 
fertlog04=fertkgac04; 
fertlog07=fertkgac07; 
fertlog10=fertkgac10; 
*if fertkgac97<600; 
seedcstac04=seedkg04*mzspr04/acresm04;
sfcost04=fertcstac04+seedcstac04;
sfmcost04=sfcost04/mmzpr04;  
seedcstac07=seedkg07*mzspr07/acresm07;
sfcost07=fertcstac07+seedcstac07;
sfmcost07=0.72*sfcost07/mmzpr07;  

seedcstac04p=seedcstac04/mmzpr04;
fertcstac04p=fertcstac04/mmzpr04;
run; 

proc means data=a47m; var  sfmcost04 sfmcost07; run; 


data gmm91; set a47m; 

fertkgac97=allfertac97;
fertkgac00=allfertac00; 
fertkgac04=allfertac04;
fertkgac07=allfertac07; 
fertkgac10=allfertac10; 

*fertkgac97=fertcstac97;**.738/.459;
*fertkgac04=fertcstac04; 
 

/*if fertkgac97<1 then fertkgac97=0; 
if fertkgac00<1 then fertkgac00=0; 
if fertkgac04<1 then fertkgac04=0; 
if fertkgac07<1 then fertkgac07=0; 
*/
if fertkgac97=. then fertkgac97=0; 
if fertkgac00=. then fertkgac00=0; 
if fertkgac04=. then fertkgac04=0; 
if fertkgac07=. then fertkgac07=0; 
if fertkgac10=. then fertkgac10=0; 

/*if fertkgac97=0 then dfert97=0; else dfert97=1; 
if fertkgac00=0 then dfert00=0; else dfert00=1; 
if fertkgac04=0 then dfert04=0; else dfert04=1; 
if fertkgac07=0 then dfert07=0; else dfert07=1; 
if fertkgac10=0 then dfert10=0; else dfert10=1; 
*/
dfert97=0; dfert00=0; dfert04=0; dfert07=0; dfert10=0; 
if fertkgac97>0 then dfert97=1; 
if fertkgac00>0 then dfert00=1; 
if fertkgac04>0 then dfert04=1; 
if fertkgac07>0 then dfert07=1; 
if fertkgac10>0 then dfert10=1; 


*fertkgac97=fertallac97; * set fert to all; 
*fertkgac04=fertallac04; 

*fertkgac97=fertallac97; * set fert to all; 
*fertkgac04=fertallac04; 

*if fertaiac97=. then fertaiac97=0; 
*if fertaiac04=. then fertaiac04=0; 
*fertkgac97=fertaiac97; 
*fertkgac04=fertaiac04; 



h9704=hyb97*hyb04;
h0004=hyb00*hyb04;
h0407=hyb04*hyb07;
h0710=hyb07*hyb10;
h9700=hyb97*hyb00;
h970004=hyb97*hyb00*hyb04; 
lave04=laveyld*hyb04;
lave07=laveyld*hyb07;
lave97=laveyld*hyb97;
lave00=laveyld*hyb00; 
lave0407=laveyld*hyb04*hyb07;
lave9704=laveyld*hyb04*hyb97;
lave9700=laveyld*hyb97*hyb00; 
h9700=hyb97*hyb00; 
mainave=(main97+main00+main04+main07)/4;
aveyld04=(yld97+yld00+yld07)/3;
aveyld00=(yld97+yld04+yld07)/3;
aveyld97=(yld04+yld00+yld07)/3;
aveyld07=(yld97+yld00+yld04)/3;
laveyld4=log(aveyld04);
laveyld9=log(aveyld97);
laveyld0=log(aveyld00);
laveyld7=log(aveyld07);

/*laveyld4=(log(yld97)+log(yld00)+log(yld07))/3; *redefine as aver of logs; 
laveyld0=(log(yld97)+log(yld04)+log(yld07))/3;
laveyld9=(log(yld04)+log(yld00)+log(yld07))/3;
laveyld7=(log(yld97)+log(yld00)+log(yld04))/3;
*/
lave07h97=laveyld07*hyb97;
lave07h04=laveyld07*hyb04;
lave07h9704=laveyld07*hyb97*hyb04;
lave47h97=laveyld47*hyb97;
lave47h00=laveyld47*hyb00;
lave47h9700=laveyld47*hyb97*hyb00;
lave77h04=laveyld77*hyb04;
lave77h00=laveyld77*hyb00;
lave77h0004=laveyld77*hyb04*hyb00;
lave70h04=laveyld70*hyb04;
lave70h07=laveyld70*hyb07;
lave70h0407=laveyld70*hyb04*hyb07;
laveh9700=laveyld*hyb97*hyb04;
laveh97=laveyld*hyb97;
laveh00=laveyld*hyb04;
dlowh97=dlow*hyb97;
dlowh04=dlow*hyb04;
dlowh9704=dlow*hyb97*hyb04;
mainaveh00=mainave*hyb00;
mainaveh04=mainave*hyb04;
mainaveh0004=mainave*hyb00*hyb04;
shmacresh97=shmacres07*hyb97;
shmacresh04=shmacres07*hyb04;
shmacresh9704=shmacres07*hyb97*hyb04;
lacresm97=log(acresm97);
lmain97=log(main97);
lacresm00=log(acresm00);
lmain00=log(main00);
*if totacres97<100; 
dlhiv=dlow*dhiv;
dhhiv=dhigh*dhiv;
*if dhiv ne .;
if dhiv eq . then dhiv =0; 
*if dhiv=0;
hyb97totac=hyb97*totacres97;
hyb97acm=hyb97*acresm97;
hyb97main=hyb97*main97;
hyb97dhigh=hyb97*dhigh; 
hyb97dlow=hyb97*dlow; 
hyb04totac=hyb04*totacres04;
hyb04acm=hyb04*acresm04;
hyb04main=hyb04*main04;
hyb04dhigh=hyb04*dhigh; 
hyb04dlow=hyb04*dlow; 
fscost04=(fcost04+sdcost04)/pmaiz04;
fscost07=(fcost07+sdcost07)/pmaiz07;
if hyb97=. then hyb97=0; 
if hyb00=. then hyb00=0;
if hyb04=. then hyb04=0;
if hyb07=. then hyb07=0; 
if prov=1 then dprov1=1; else dprov1=0; 
if prov=2 then dprov2=1; else dprov2=0; 
if prov=3 then dprov3=1; else dprov3=0; 
if prov=4 then dprov4=1; else dprov4=0; 
if prov=5 then dprov5=1; else dprov5=0; 
if prov=6 then dprov6=1; else dprov6=0; 
if prov=7 then dprov7=1; else dprov7=0; 
if prov=8 then dprov8=1; else dprov8=0; 

if prov=. then provmiss=1; else provmiss=0; 
/*
proc chart data=gmm47; hbar fertkgac97; run; 
proc chart data=gmm47; hbar fertkgac00; run; 
proc chart data=gmm47; hbar fertkgac04; run; 
proc chart data=gmm47; hbar fertkgac07; run; 
*/

h97f97=hyb97*dfert97;
h04f97=hyb04*dfert97;
h97h04f97=hyb97*hyb04*dfert97;
h97f04=hyb97*dfert04;
h04f04=hyb04*dfert04;
h97h04f04=hyb97*hyb04*dfert04;

h97ft97=hyb97*fertkgac97;
h04ft97=hyb04*fertkgac97;
h97h04ft97=hyb97*hyb04*fertkgac97;
h97ft04=hyb97*fertkgac04;
h04ft04=hyb04*fertkgac04;
h97h04ft04=hyb97*hyb04*fertkgac04;

h07f07=hyb07*dfert07;
h10f07=hyb10*dfert07;
h07h10f07=hyb07*hyb10*dfert07;
h07f10=hyb07*dfert10;
h10f10=hyb10*dfert10;
h07h10f10=hyb07*hyb10*dfert10;

h07ft07=hyb07*fertkgac07;
h10ft07=hyb10*fertkgac07;
h07h10ft07=hyb07*hyb10*fertkgac07;
h07ft10=hyb07*fertkgac10;
h10ft10=hyb10*fertkgac10;
h07h10ft10=hyb07*hyb10*fertkgac10;

h97ft97=hyb97*fertkgac97;
h00ft97=hyb00*fertkgac97;
h97h00ft97=hyb97*hyb00*fertkgac97;
h97ft00=hyb97*fertkgac00;
h00ft00=hyb00*fertkgac00;
h97h00ft00=hyb97*hyb00*fertkgac00;

h00ft00=hyb00*fertkgac00;
h04ft00=hyb04*fertkgac00;
h00h04ft00=hyb00*hyb04*fertkgac00;
h00ft04=hyb00*fertkgac04;
h04ft04=hyb04*fertkgac04;
h00h04ft04=hyb00*hyb04*fertkgac04;

h04ft04=hyb04*fertkgac04;
h07ft04=hyb07*fertkgac04;
h04h07ft04=hyb04*hyb07*fertkgac04;
h04ft07=hyb04*fertkgac07;
h07ft07=hyb07*fertkgac07;
h04h07ft07=hyb04*hyb07*fertkgac07;

if vmilk97>0 then dmilk97=1; else dmilk97=0; 
if vmilk00>0 then dmilk00=1; else dmilk00=0; 
if vmilk04>0 then dmilk04=1; else dmilk04=0; 
if mlkprd=1 then dmilk07=1; else dmilk07=0; 

if year=1997 then d97=1; else d97=0; 
if year=2000 then d00=1; else d00=0; 
if year=2004 then d04=1; else d04=0; 
if year=2007 then d07=1; else d07=0; 

ltotac97=log(totacres97);
lacm97=log(acresm97);
lmain97=log(main97); 
ltotac00=log(totacres00);
lacm00=log(acresm00);
lmain00=log(main00); 
ltotac04=log(totacres04);
lacm04=log(acresm04);
lmain04=log(main04); 
ltotac07=log(totacres07);
lacm07=log(acresm07);
lmain07=log(main07); 

*if hhid=lag(hhid) then delete; 

/*if fertkgac97<500;
if fertkgac00<500; 
if fertkgac04<500;
if fertkgac07<500; 
*/

*if lyld97 ne .;
*if lyld00 ne .; 
*if lyld04 ne .; 
*if lyld07 ne .;


*if fertskm97=. then fertskm97=7.1;
*if fertskm04=. then fertskm04=3.5; 
*if fertskm97=. then fertskm97=0;
*if fertskm04=. then fertskm04=0; 

if fertskm97=. and dlow=1 then fertskm97=14.3;
if fertskm97=. and dmed=1 then fertskm97=4.4;
if fertskm97=. and dhigh=1 then fertskm97=5.1;

if fertskm04=. and dlow=1 then fertskm04=6.7;
if fertskm04=. and dmed=1 then fertskm04=1.8;
if fertskm04=. and dhigh=1 then fertskm04=2.9;

if acresm97<1 then dsmall97=1; else dsmall97=0; 
if acresm00<1 then dsmall00=1; else dsmall00=0; 
if acresm04<1 then dsmall04=1; else dsmall04=0; 
if acresm07<1 then dsmall07=1; else dsmall07=0; 

rdapri04=dapri04/mmzpr04;
fertpkg04=fertcac04/fertkgac04; 

syld97= sum(of yld00 yld04 yld07 yld10);

aveyld97=(yld04+yld00+yld07+yld10)/4;
aveyld00=(yld97+yld04+yld07+yld10)/4;
aveyld04=(yld97+yld00+yld07+yld10)/4;
aveyld07=(yld97+yld00+yld04+yld10)/4;
aveyld10=(yld97+yld00+yld04+yld07)/4;
laveyld4=log(aveyld04);
laveyld9=log(aveyld97);
laveyld0=log(aveyld00);
laveyld7=log(aveyld07);
laveyld1=log(aveyld10);
lacresm97=log(acresm97);
lmain97=log(main97);
lacresm00=log(acresm00);
lmain00=log(main00);
if dhiv eq . then dhiv =0; 
fscost04=(fcost04+sdcost04)/pmaiz04;
fscost07=(fcost07+sdcost07)/pmaiz07;
if hyb97=. then hyb97=0; 
if hyb00=. then hyb00=0;
if hyb04=. then hyb04=0;
if hyb07=. then hyb07=0; 
if hyb10=. then hyb10=0; 
if prov=1 then dprov1=1; else dprov1=0; 
if prov=2 then dprov2=1; else dprov2=0; 
if prov=3 then dprov3=1; else dprov3=0; 
if prov=4 then dprov4=1; else dprov4=0; 
if prov=5 then dprov5=1; else dprov5=0; 
if prov=6 then dprov6=1; else dprov6=0; 
if prov=7 then dprov7=1; else dprov7=0; 
if prov=8 then dprov8=1; else dprov8=0; 

if vmilk97>0 then dmilk97=1; else dmilk97=0; 
if vmilk00>0 then dmilk00=1; else dmilk00=0; 
if vmilk04>0 then dmilk04=1; else dmilk04=0; 
if cowmilk07>0 then dmilk07=1; else dmilk07=0; 
if vmilk10>0 then dmilk10=1; else dmilk10=0; 

if year=1997 then d97=1; else d97=0; 
if year=2000 then d00=1; else d00=0; 
if year=2004 then d04=1; else d04=0; 
if year=2007 then d07=1; else d07=0; 
if year=2010 then d10=1; else d10=0; 

ltotac97=log(totacres97);
lacm97=log(acresm97);
lmain97=log(main97); 
ltotac00=log(totacres00);
lacm00=log(acresm00);
lmain00=log(main00); 
ltotac04=log(totacres04);
lacm04=log(acresm04);
lmain04=log(main04); 
ltotac07=log(totacres07);
lacm07=log(acresm07);
lmain07=log(main07); 

*if lyld97 ne .;
*if lyld00 ne .; 
*if lyld04 ne .; 
*if lyld07 ne .;
*if hhid=lag(hhid) then delete; 

*if seedkgac97<1 then seedkgac97=1; 
*if seedkgac04<1 then seedkgac04=1; 

*if fertskm97=. then fertskm97=7.1;
*if fertskm04=. then fertskm04=3.5; 
*if fertskm97=. then fertskm97=0;
*if fertskm04=. then fertskm04=0; 

if fertskm97=. and dlow=1 then fertskm97=14.3;
if fertskm97=. and dmed=1 then fertskm97=4.4;
if fertskm97=. and dhigh=1 then fertskm97=5.1;

if fertskm04=. and dlow=1 then fertskm04=6.7;
if fertskm04=. and dmed=1 then fertskm04=1.8;
if fertskm04=. and dhigh=1 then fertskm04=2.9;

if div97>2 then int97=1; else int97=0; 
if 1<div97<=2.5 then dou97=1; else dou97=0; 
if div00>2 then int00=1; else int00=0; 
if 1<div00<=2.5 then dou00=1; else dou00=0; 
if div04>2 then int04=1; else int04=0; 
if 1<div04<=2.5 then dou04=1; else dou04=0; 
if div07>2 then int07=1; else int07=0; 
if 1<div07<=2.5 then dou07=1; else dou07=0; 
if div10>2 then int10=1; else int10=0; 
if 1<div10<=2.5 then dou10=1; else dou10=0; 

if div97>2 then int97=1; else int97=0; 
if div97=2 then dou97=1; else dou97=0; 
if div00>2 then int00=1; else int00=0; 
if div00=2 then dou00=1; else dou00=0; 
if div04>2 then int04=1; else int04=0; 
if div04=2 then dou04=1; else dou04=0; 
if div07>2 then int07=1; else int07=0; 
if div07=2 then dou07=1; else dou07=0; 
if div10>2 then int10=1; else int10=0; 
if div10=2 then dou10=1; else dou10=0; 

if div97>1 then inter97=1; else inter97=0; 
if div00>1 then inter00=1; else inter00=0; 
if div04>1 then inter04=1; else inter04=0; 
if div07>1 then inter07=1; else inter07=0; 
if div10>1 then inter10=1; else inter10=0; 

if acresm97<1 then dsmall97=1; else dsmall97=0; 
if acresm00<1 then dsmall00=1; else dsmall00=0; 
if acresm04<1 then dsmall04=1; else dsmall04=0; 
if acresm07<1 then dsmall07=1; else dsmall07=0; 
if acresm10<1 then dsmall10=1; else dsmall10=0; 


avhhsize=(hhsize97+hhsize00+hhsize04+hhsize07+ hhsize10)/5;
avmain=(main97+main00+main04+main07+ main10)/5;
avacresm=(acresm97+acresm00+acresm04+acresm07+acresm10)/5;
avtotac=(totacres97+totacres00+totacres04+totacres07+totacres10)/5;
avdmilk=(dmilk97+dmilk00+dmilk04+dmilk07+dmilk10)/5;
avdsmall=(dsmall97+dsmall00+dsmall04+dsmall07)/5;
avint=(int97+int00+int04+int07+ int10)/5;
avdou=(dou97+dou00+dou04+dou07+dou10)/5;
avhyb=(hyb97+hyb00+hyb04+hyb07+hyb10)/5; 
avfkm=(fertskm97+fertskm00+fertskm04+fertskm07+fertskm10)/5;
avfert=(fertkgac97+fertkgac00+fertkgac04+fertkgac07+fertkgac10)/5;
avcred=(cred97+cred00+cred04+cred07+cred10)/5;
avdfert=(dfert97+dfert00+dfert04+dfert07+dfert10)/5;
Family_Labor=fhrsac04;
Area=acresm04; 

if lyld97 ne .;
if lyld00 ne .;
if lyld04 ne .;
*if lyld07 ne .;
*if lyld10 ne .; 
*if hyb07 ne .; 
*if hyb10 ne .; 
*if fertkgac97<600; 

* save averages;
* seed varieties;
if hyb07=1 and sdvar07=sdvar04 then shvar07=1; else shvar07=0; * identify those that keep same variety from 2004 to 2007; 
if hyb10=1 and sdvar10=sdvar07 then shvar10=1; else shvar10=0;
if hyb07=0 and sdvar07=sdvar04 then snvar07=1; else snvar07=0;
if hyb10=0 and sdvar10=sdvar07 then snvar10=1; else snvar10=0;

if seedcstac04=. then seedcstac04=0; 
nrac04 = 15*yld04 - seedcstac04 - lpcostac04 - hlcostac04 - fertcstac04; 
nr04=nrac04*acresm04; 

if dfert97=0 and dfert00=0 and dfert04=0 and dfert07=0 and dfert10=0 then frtnon=1; else frtnon=0; * fert behvior;
if dfert97=1 and dfert00=1 and dfert04=1 and dfert07=1 and dfert10=1 then frtall=1; else frtall=0;
/*if dfert97=0 and dfert00=1 and dfert04=1 and dfert07=1 and dfert10=1 then frtjn=1; else frtjn=0; */
if dfert97=0 and dfert00=0 and dfert04=1 and dfert07=1 and dfert10=1 then frtjn=1; else frtjn=0; 
if dfert97=0 and dfert00=0 and dfert04=0 and dfert07=1 and dfert10=1 then frtjn=1; else frtjn=0; 
if dfert97=0 and dfert00=0 and dfert04=0 and dfert07=0 and dfert10=1 then frtjn=1; else frtjn=0; 
if dfert97=1 and dfert00=0 and dfert04=0 and dfert07=0 and dfert10=0 then frtlv=1; else frtlv=0;
if dfert97=1 and dfert00=1 and dfert04=0 and dfert07=0 and dfert10=0 then frtlv=1; else frtlv=0;
if dfert97=1 and dfert00=1 and dfert04=1 and dfert07=0 and dfert10=0 then frtlv=1; else frtlv=0;
/*if dfert97=1 and dfert00=1 and dfert04=1 and dfert07=1 and dfert10=0 then frtlv=1; else frtlv=0;*/
if frtnon=0 and frtall=0 and frtjn=0 and frtlv=0 then frtsw1=1; else frtsw1=0; 
if frtnon=0 and frtall=0 then frtsw=1; else frtsw=0; 

if dfert97=0 and dfert00=0 then frtnon70=1; else frtnon70=0; 
if dfert97=1 and dfert00=1 then frtall70=1; else frtall70=0; 
if dfert97=0 and dfert00=1 then frtjn70=1; else frtjn70=0; 
if dfert97=1 and dfert00=0 then frtlv70=1; else frtlv70=0; 

if dfert07=0 and dfert10=0 then frtnon71=1; else frtnon71=0; 
if dfert07=1 and dfert10=1 then frtall71=1; else frtall71=0; 
if dfert07=0 and dfert10=1 then frtjn71=1; else frtjn71=0; 
if dfert07=1 and dfert10=0 then frtlv71=1; else frtlv71=0; 

if hyball=1 and frtall=1 then hfall=1; else hfall=0;
if hybnon=1 and frtnon=1 then hfnon=1; else hfnon=0; 
if hyball=1 and frtnon=1 then hafn=1; else hafn=0; 
if hybnon=1 and frtall=1 then hnfa=1; else hnfa=0; 
if joinall=1 and frtjn=1 then hfjn=1; else hfjn=0; 
if leavall=1 and frtlv=1 then hflv=1; else hflv=0; 
if hfall=0 and hfnon=0 and hafn=0 and hnfa=0 and hfjn=0 and hflv=0 then hfmix=1; else hfmix=0; 
if switch1=1 and frtsw=1 then hfsw=1; else hfsw=0; 
if (hyball=1 or joinall=1) and (frtall=1 or frtjn=1) then hpfp=1; else hpfp=0; 

if hyball=1 or joinall=1 then hybp=1; else hybp=0; 
if frtall=1 or frtjn=1 then frtp=1; else frtp=0; 
if hybp=1 and frtp=1 then hfp=1; else hfp=0;
if hybnon=1 or leavall=1 then nhybp=1; else nhybp=0; 
if frtnon=1 or frtlv=1 then nfrtp=1; else nfrtp=0; 
if nhybp=1 and nfrtp=1 then hfn=1; else hfn=0; 
if hfp=0 and hfn=0 then hfs=1; else hfs=0; 

if slope07=1 then dflat=1; else dflat=0; 
if slope07=2 then dsteep=1; else dsteep=0;
if slope07=3 then dsterr=1; else dsterr=0;
if slope07=4 then dmoder=1; else dmoder=0;
if slope07=5 then dmterr=1; else dmterr=0;

lpcostac97=lpcostac97/.622;*.738/.459;
hlcostac97=hlcostac97/.622;*.738/.459; 
fertcstac97=fertcstac97/.622;*.738/.459; 
if seedkgac97=. then seedkgac97=1; 
if seedkgac04=. then seedkgac04=1; 
*if fertkgac97<600; 
*if seedkgac97 >0; 
rmzpr9704=mmzpr04/mmzpr97; 
*fertcstac97=rmzpr9704*fertcstac97; 
rfertcstac04=fertcstac04/rmzpr9704; 
if fertcstac97=0 then fcdum97=0; else fcdum97=1;
if fertcstac04=0 then fcdum04=0; else fcdum04=1;
if dfert04=0 then fertcstac04=0; 
proc means data=gmm91; var fcdum97 dfert97 fcdum04 dfert04 hyb97 hyb04 h9704 h97ft97 h04ft97 h97h04ft97 h97ft04 h04ft04 h97h04ft04 fertkgac97 fertkgac04; 
*where dhiv=0; run;
proc chart data=gmm91; hbar seedkgac97 seedkgac04; run;
proc means data=gmm91; var fertaiac97 hhsize97 rmzpr9704 lpcostac97 main97 fertskm97 fhrsac97 hlcostac97  mmzpr97 lyld97 acresm97 seedkgac97 hyb97 dapkgac97 mapkgac97 cankgac97 fertkgac97 fertcstac97; where fertkgac97<600; run;
proc means data=gmm91; var fertaiac04 hhsize04 lpcostac04 main04 fertskm04 fhrsac04 hlcostac04 rmzpr9704 rfertcstac04 mmzpr04 lyld04 acresm04 seedkgac04 hyb04 dapkgac04 mapkgac04 cankgac04 fertkgac04 fertcstac04; where fertkgac97<600;  run;

proc means data=gmm91; var dfert97 hyb97; where hyb97=1; run;
proc means data=gmm91; var dfert97 hyb97; where hyb97=0; run;
proc means data=gmm91; var dfert04 hyb04; where hyb04=1; run;
proc means data=gmm91; var dfert04 hyb04; where hyb04=0; run;

proc means data=gmm91; var lpcostac97 main97 fertskm97 fhrsac97 hlcostac97  mmzpr97 lyld97 acresm97 seedkgac97 hyb97 dapkgac97 mapkgac97 cankgac97 fertkgac97 fertcstac97; where dhiv=0; run;
proc means data=gmm91; var lpcostac97 main97 fertskm97 fhrsac97 hlcostac97  mmzpr97 lyld97 acresm97 seedkgac97 hyb97 dapkgac97 mapkgac97 cankgac97 fertkgac97 fertcstac97; where dhiv=1; run;

proc means mean cv n data=gmm91; var yld97 yld04 ; where dhiv=0; run;
proc means mean cv n data=gmm91; var yld97 yld04 ;  run;

proc means data=gmm91; var lpcostac04 main04 fertskm04 fhrsac04 hlcostac04 rmzpr9704 rfertcstac04 mmzpr04 lyld04 acresm04 seedkgac04 hyb04 dapkgac04 mapkgac04 cankgac04 fertkgac04 fertcstac04; run;


proc corr data=gmm91; var fertkgac97 fertcstac97 ; where dfert97=1; run;
proc corr data=gmm91; var  fertkgac04 fertcstac04; where  dfert04=1; run;

proc means data=gmm91; var yld04; where dlow=1; run; 
proc chart data=gmm91; hbar zone; run;
data gmm47pan; set gmm91; 
if lyld97 ne .;
if lyld00 ne .;
if lyld04 ne .;
if lyld07 ne .;
if lyld10 ne .; 
if hyb97 ne .; 
if hyb00 ne .;
if hyb04 ne .;
if hyb07 ne .; 
if hyb10 ne .; 
/*if lyld97 > 3;
if lyld00 > 3;
if lyld04 > 3;
if lyld07 > 3;
if 0.09<acresm97<12.5;
if 0.09<acresm00<12.5;
if 0.09<acresm04<12.5;
if 0.09<acresm07<12.5;
if fertkgac97<250; 
if fertkgac00<250; 
if fertkgac04<250; 
if fertkgac07<250; */
*/
run;


proc means data=gmm47pan; var  /*meduc97 meduc00 meduc04 meduc07 meduc10*/
fertskm97 fertskm00 fertskm04 fertskm07 fertskm10 dmot97 dmot00 dmot04 dmot07 dmot10 dmat97 dmat00 dmat04 /*dmat07 dmat10 */
dext97 dext00 dext04 dext07 dext10 cred97 cred00 cred04 cred07 cred10; run;
proc means data=gmm47pan; var hlcostac97 hlcostac04 lpcostac97 lpcostac04 frtall frtnon frtsw meduc97 meduc04 fertkgac97 fertkgac04  
yld97 yld00 yld04 yld07 yld10 depth clay silt sand meduc97 meduc00 meduc04 meduc07 meduc10; run;

data pan97; set gmm47pan; 
lyld=lyld97; 
hyb=hyb97; 
year=1997;
if lyld ne .;
layld=laveyld9; 
ltotac=log(totacres97);
lacresm=log(acresm97); 
divr=(div97);
main=main97;
fkm=fertskm97;
cred=cred97;
hyld97n=((1-hyb00)*lyld00+(1-hyb04)*lyld04+(1-hyb07)*lyld07);
hsum97=((1-hyb00)+(1-hyb04)+(1-hyb07));
hyld=hyld97n/hsum97; 
dfert=dfert97;
fertac=fertkgac97; 
vmilk=vmilk97;
vliv=vliv97; 
lyldo=laveyld9;
intc=int97;
doub=dou97;
hhsize=hhsize97;
rain1=rain197;
rain2=rain297;
rain3=rain397; 
seedac=seedkgac97;
dmilk=dmilk97; 
mmzpr=mmzpr97;
dmot=dmot97;
dext=dext97;
mthfin=mthfin97;
dmzpur=dmzpur97; 
keep dmzpur mthfin dist div vil  depth clay silt sand frtall frtnon  hybp nhybp frtp nfrtp frtsw frtsw1 hfp hfn hfs zone dmot dext switch1 mmzpr annpet annppe annmaxxt annminit dmilk seedac div annpre annxt annit ahyb rain1 rain2 rain3 
fertall fertnon fertsw laveyld leavall joinall hhsize intc doub lyldo vmilk vliv dfert fertac hyb97 hyld prov lyld fkm 
cred main hyb year hhid hyball hybnon switch dlow dmed dhigh dhiv  layld ltotac lacresm ; 
run;

data pan00; set gmm47pan; 
lyld=lyld00; 
hyb=hyb00; 
year=2000;
if lyld ne .; 
layld=laveyld0; 
ltotac=log(totacres00);
lacresm=log(acresm00); 
main=main00;
fkm=fertskm00; 
cred=cred00;
hyld=((1-hyb97)*lyld97+(1-hyb04)*lyld04+(1-hyb07)*lyld07)/((1-hyb97)+(1-hyb04)+(1-hyb07)); 
dfert=dfert00; 
fertac=fertkgac00;
vmilk=vmilk00;
vliv=vliv00;
lyldo=laveyld0;
intc=int00;
doub=dou00;
hhsize=hhsize00;
rain1=rain100;
rain2=rain200;
rain3=rain300; 
divr=div00;
seedac=seedkgac00; 
dmilk=dmilk00; 
dmot=dmot00;
dext=dext00;
mthfin=mthfin00;
dmzpur=dmzpur00; 
keep dmzpur  mthfin  dist div vil  depth clay silt sand  frtall frtnon  hybp nhybp frtp nfrtp frtsw frtsw1 hfp hfn hfs zone dmot dext switch1 llyld annpet annppe annmaxxt annminit dmilk  seedac div annpre annxt annit ahyb rain1 rain2 rain3  fertall fertnon fertsw laveyld leavall joinall hhsize intc doub lyldo vmilk vliv dfert fertac hyb97 hyld prov lyld fkm cred main hyb year hhid hyball hybnon switch dlow dmed dhigh dhiv  layld ltotac lacresm ; 
run;

data pan04; set gmm47pan; 
lyld=lyld04; 
hyb=hyb04; 
year=2004;
if lyld ne .; 
layld=laveyld4; 
ltotac=log(totacres04);
lacresm=log(acresm04); 
main=main04;
fkm=fertskm04;
cred=cred04;
hyld=((1-hyb97)*lyld97+(1-hyb00)*lyld00+(1-hyb07)*lyld07)/((1-hyb97)+(1-hyb00)+(1-hyb07)); 
dfert=dfert04;
fertac=fertkgac04;  
vmilk=vmilk04;
vliv=vliv04;
lyldo=laveyld4;
intc=int04;
doub=dou04;
hhsize=hhsize04;
rain1=rain104;
rain2=rain204;
rain3=rain304; 
divr=div04; 
seedac=seedkgac04; 
dmilk=dmilk04; 
dmot=dmot04;
dext=dext04;
sdvar=sdvar04; 
mthfin=mthfin04;
dmzpur=dmzpur04; 
sfmcost=sfmcost04; 
keep sfmcost dmzpur  mthfin  dist div vil  depth clay silt sand  frtall frtnon  hybp nhybp frtp nfrtp frtsw frtsw1 hfp hfn hfs sdvar zone dmot dext switch1 llyld annpet annppe annmaxxt annminit dmilk  seedac div annpre annxt annit ahyb rain1 rain2 rain3  fertall fertnon fertsw laveyld leavall joinall hhsize intc doub lyldo vmilk vliv dfert fertac hyb97 hyld prov lyld fkm cred main hyb year hhid hyball hybnon switch dlow dmed dhigh dhiv  layld ltotac lacresm ; 
run;

data pan07; set gmm47pan; 
lyld=lyld07; 
hyb=hyb07; 
year=2007;
if lyld ne .; 
layld=laveyld7; 
ltotac=log(totacres07);
lacresm=log(acresm07); 
main=main07;
fkm=fertskm07;
cred=cred07;
hyld=((1-hyb97)*lyld97+(1-hyb00)*lyld00+(1-hyb04)*lyld04)/((1-hyb97)+(1-hyb00)+(1-hyb04)); 
dfert=dfert07;
fertac=fertkgac07;  
vmilk=vmilk07;
vliv=vliv07;
lyldo=laveyld7; 
intc=int07;
doub=dou07;
hhsize=hhsize07;
divr=div07; 
seedac=seedkgac07; 
dmilk=dmilk07; 
dmot=dmot07;
dext=dext07;
shvar=shvar07;
snvar=snvar07;
sdvar=sdvar07; 
mthfin=mthfin07;
slope=slope07;
nfermz=nfermz07;
dmzpur=dmzpur07; 
sfmcost=sfmcost07; 
keep sfmcost dmzpur  slope nfermz mthfin  dist div vil  depth clay silt sand  frtall frtnon  hybp nhybp frtp nfrtp frtsw frtsw1 hfp hfn hfs stay71 nonh71 leav71 join71 sdvar zone shvar snvar dmot dext switch1 llyld annpet annppe annmaxxt annminit dmilk  seedac div annpre annxt annit ahyb fertall fertnon fertsw  laveyld leavall joinall hhsize intc doub lyldo vmilk vliv dfert fertac hyb97 hyld prov lyld fkm cred main hyb year hhid hyball hybnon switch dlow dmed dhigh dhiv  layld ltotac lacresm ; 
run;

data pan10; set gmm47pan; 
lyld=lyld10; 
hyb=hyb10; 
year=2010;
*if lyld ne .; 
layld=laveyld1; 
ltotac=log(totacres10);
lacresm=log(acresm10); 
main=main10/1000;
fkm=fertskm10;
cred=cred10;
dfert=dfert10;
fertac=fertkgac10;  
vmilk=vmilk10;
vliv=vliv10;
lyldo=laveyld7; 
intc=int10;
doub=dou10;
hhsize=hhsize10;
divr=div10; 
seedac=seedkgac10; 
dmilk=dmilk10; 
dmot=dmot10;
dext=dext10;
shvar=shvar10;
snvar=snvar10;
sdvar=sdvar10;
slope=slope10;
nfermz=nfermz10;
dmzpur=dmzpur10; 
keep dmzpur slope nfermz  dist div vil  depth clay silt sand  frtall frtnon  hybp nhybp frtp nfrtp frtsw frtsw1 hfp hfn hfs  stay71 
nonh71 leav71 join71 sdvar zone shvar snvar dmot dext switch1 lyld annpet annppe annmaxxt annminit dmilk  seedac div annpre annxt annit
ahyb fertall fertnon fertsw  laveyld leavall joinall hhsize intc doub lyldo vmilk vliv dfert fertac hyb97 prov lyld fkm cred main hyb
year hhid hyball hybnon switch dlow dmed dhigh dhiv  layld ltotac lacresm ; 
run;

data pan7041a; set pan97 pan00 pan04 pan07 pan10; where lyld ne . and annxt ne . and main ne .;
*if fkm=. then fkm=4.34; 
if year=1997 then d97=1; else d97=0; 
if year=2000 then d00=1; else d00=0; 
if year=2004 then d04=1; else d04=0; 
if year=2007 then d07=1; else d07=0; 
if year=2010 then d10=1; else d10=0; 
hybdivr=hyb*divr; 
hybfkm=hyb*fkm;
hybcred=hyb*cred;
hybacm=hyb*lacresm;
hybdl=hyb*dlow;
hybdh=hyb*dhigh;
hybmain=hyb*log(main);
hybdl=hyb*dlow;
hybdh=hyb*dhigh;
hybmain=hyb*log(main);
hybfert=hyb*fertac;
hybf=hyb*dfert;
dfmain=dfert*log(main);  
lmain=log(main); 
hyblay=hyb*layld;
*if lyld>9 then lyld=9; 
yld=exp(lyld); 
ayld=exp(layld); 
if prov=1 then dprov1=1; else dprov1=0; 
if prov=2 then dprov2=1; else dprov2=0; 
if prov=3 then dprov3=1; else dprov3=0; 
if prov=4 then dprov4=1; else dprov4=0; 
if prov=5 then dprov5=1; else dprov5=0; 
if prov=6 then dprov6=1; else dprov6=0; 
if prov=7 then dprov7=1; else dprov7=0; 
if prov=8 then dprov8=1; else dprov8=0; 
if dlow=1 then nzone=1;
if dhigh=1 then nzone=3; 
if dlow=0 and dhigh=0 then nzone=2; 
if hyb97=. then hyb97=0; 
if hyb00=. then hyb00=0; 
if hyb04=. then hyb04=0; 
if hyb07=. then hyb07=0; 
hybpd=-.05+.15*layld;
divrmain=divr*main; 
ldssata=log(dssata); 
hybdss=hyb*ldssata; 
hybpd=.68-.55*divr+.17*lmain; 
if hyb=1 and dfert=1 then dhybf=1; else dhybf=0; 
if hyb=1 and dfert=0 then dhybf0=1; else dhybf0=0; 
if hyb=0 and dfert=1 then dhyb0f=1; else dhyb0f=0; 
if vmilk=. then vmilk=0; 
if vliv=. then vliv=0; 
vmilka=vmilk/exp(ltotac);
vliva=vliv/exp(ltotac);
totacres=exp(ltotac);
acresm=exp(lacresm); 
phyb=(1-hyb); 
if acresm<1 then dsmall=1; else dsmall=0; 
mzsh=acresm/totacres;
*if acresm<10; 
if switch=0 and hyball=1 then swtype='swh';
if switch=0 and hyball=0 then swtype='swn';
if switch=1 then swtype='swa';
totaca=totacres/3.91;
acresma=acresm/1.85;
maina=main/.636;
fkma=fkm/4.34;
aylda=ayld/647;  
if intc=1 or doub=1 then inter=1; else inter=0; 
if fkm>4.5 then dfar=1; else dfar=0; 
if fkm<=4.5 then dnear=1; else dnear=0; 
aveyld=exp(laveyld); 
hlayld=hyball*layld;
halacm=hyball*lacresm;
halatot=hyball*ltotac;
haldmilk=hyball*dmilk;
halintc=hyball*intc;
haldoub=hyball*doub;
halsm=hyball*dsmall;
halmain=hyball*log(main);
ldffert=log((1-dfert) + dfert*fertac); 
dfert1=1-dfert; 
lmain=log(main); 
hybsw=hyb*switch; 
hybdl=hyb*dlow;
hybdh=hyb*dhigh; 
hybdlsw=hybdl*switch;
hybdhsw=hybdh*switch;
hyblayld=hyb*layld;
annxt2=annxt**2;
annxtlm=annxt*log(main); 
lannxt=log(annxt); 
lannit=log(annit); 
lannpre=log(annpre); 
if seedac>0 then dseed=1; else dseed=0; 
if yld<300 then yldlow=1; else yldlow=0; 
if 300<=yld<600 then yldml=1; else yldml=0; 
if 600<=yld<900 then yldmh=1; else yldmh=0; 
if yld>=900 then yldhig=1; else yldhig=0; 
layldn=layld-3.2; *normalize to min value equal to yield of 1 or log yield of zero; 
if switch=0 or joinall=1 or leavall=1 then aswitch=0; else aswitch=1; 
/*acresm=acresm/2.47; 
yld=yld*2.47;
lyld=log(yld);
ayld=ayld*2.47;
aveyld=aveyld*2.47;
layld=log(ayld); 
farmsize=exp(ltotac)/2.47; 
fertac=fertac*2.47;
Fertilizer=fertac;
Yield=yld;
Area=acresm;
seed=seedac*2.47; 
*/
farmsize=exp(ltotac);
if acresm<0.1 then vsmall=1; else vsmall=0; 
if hyb=1 and dfert=1 then hybf=1; else hybf=0; 
if hyball=1 and dfert=1 then hyballf=1; else hyballf=0; 
if hybnon=1 and dfert=1 then hybnonf=1; else hybnonf=0; 
if switch1=1 and dfert=1 then switch1f=1; else switch1f=0; 
if switch1=1 and hyb=1 and dfert=1 then switch1hf=1; else switch1hf=0; 
if hyb=1 and dfert=0 then hybn=1; else hybn=0;
if hyb=0 and dfert=1 then nfert=1; else nfert=0;
if hyb=0 and dfert=0 then nhnf=1; else nhnf=0; 

if hfs=1 and hyb=1 and dfert=0 then hfsh=1; else hfsh=0;
if hfs=1 and hyb=0 and dfert=1 then hfsf=1; else hfsf=0; 
if hfs=1 and hyb=1 and dfert=1 then hfshf=1; else hfshf=0; 
if hfs=1 and hyb=0 and dfert=0 then hfsn=1; else hfsn=0; 

if sdvar=1 then hyb614=1; else hyb614=0; 

if year<2010 then do; if mthfin = . then dmzbuy=0; if mthfin>0 then dmzbuy=1; end; 
if year=2010 then do; dmzbuy=dmzpur10; end; 
run;

proc corr data=pan7041; var dmzbuy dmzpur; run;

* create average rel yield of hybrid; 
proc sort data=pan7041a; by div; run;
proc means data=pan7041a noprint; var yld dist; by div; where hyb=0 and fertac<25; output out=ylddivn mean=myldn dist; run;
proc means data=pan7041a noprint; var yld dist; by div; where hyb=1 and fertac>25; output out=ylddivh mean=myldh dist; run;
data ylddivnh; merge ylddivh ylddivn; by div; 
if myldn>0 then rylddiv=myldh/myldn; 
*if rylddiv>6 then rylddiv=6; 
divfreq=_freq_;
keep div dist rylddiv divfreq;
run;

proc sort data=pan7041a; by dist; run;
proc means data=pan7041a noprint; var yld; by dist; where hyb=0 and fertac<10; output out=ylddistn mean=myldn; run;
proc means data=pan7041a noprint; var yld; by dist; where hyb=1 and fertac>25; output out=ylddisth mean=myldh; run;
data ylddistnh; merge ylddisth ylddistn; by dist; 
if myldn>0 then rylddist=myldh/myldn; 
*if ryld>6 then ryld=6; 
keep dist rylddist;
run;
proc means data=ylddivnh; run;

proc sort data=ylddivnh; by dist; 
proc sort data=ylddistnh; by dist; run;

data relydat; merge ylddivnh ylddistnh; by dist; 
if divfreq<10 or rylddiv>5 then relyld=rylddist; else relyld=rylddiv; 
if divfreq<10 or rylddiv>5 then repyld=1; else repyld=0; 
keep div relyld;
run;
proc means data=ylddistnh; run;

proc means data=relydat; run; 
proc chart data=relydat; hbar relyld; run;

proc sort data=pan7041a; by div; run;
proc sort data=relydat; by div; run;
data pan7041; merge pan7041a relydat; by div; 
if relyld=. then relyld=2.78; 
run;


data avgmm; set gmm91; 
keep hhid dflat dsteep dsterr dmoder dmterr avhhsize avmain avacresm avtotac avdmilk avdsmall avint avdou avhyb avfkm avfert avcred avdfert; 
run; 

proc sort data=avgmm; by hhid; 
proc sort data=pan7041; by hhid; run;
data pan1; merge pan7041 avgmm; by hhid;  
if hyb ne .;
if fertac ne .;
*if seedac=. then seedac=3; * two missing obs for seed; 
*if seedac ne .; 
if dlow ne .;
if dhigh ne .;
if dprov1 ne .;
if dprov3 ne .;
if dprov4 ne .;
if dprov5 ne .;
if dprov6 ne .;
if lacresm ne .;
if ltotac ne .;
if dmilk ne .;
if main ne .;
if annxt ne .;
*if annit ne .; 
if hhsize ne .;
if intc ne .;
if doub ne .;
if fkm ne .;
*if cred ne .;
*if dmot ne .; 
*if dext ne .; 
if year ne .;
if yld ne .;  
proc means data=pan7041; var hyb fertac seedac dlow dhigh lacresm ltotac dmilk main annxt hhsize intc doub fkm cred
dmot dext yld year; run;
proc means data=pan1; var hyb fertac seedac dlow dhigh lacresm ltotac dmilk main annxt hhsize intc doub fkm cred
dmot dext yld year ; where year=1997;  run;
proc means data=pan1; var hyb fertac seedac dlow dhigh lacresm ltotac dmilk main annxt hhsize intc doub fkm cred
dmot dext yld year; where year=2000; run;
proc means data=pan1; var hyb fertac seedac dlow dhigh lacresm ltotac dmilk main annxt hhsize intc doub fkm cred
dmot dext yld ;  where year=2004;run;
proc means data=pan1; var hyb fertac seedac dlow dhigh lacresm ltotac dmilk main annxt hhsize intc doub fkm cred
dmot dext yld ; where year=2007; run;
proc means data=pan1; var hyb fertac seedac dlow dhigh lacresm ltotac dmilk main annxt hhsize intc doub fkm cred
dmot dext yld ;  where year=2010;run;
proc corr data=pan1; var yld fkm dmot dmat dext crd; run;

* fertilizer plot; 
data panf; set pan1; 
if hyb=1 then hfert=fertac; else hfert=.; 
if dlow=1 and hyb=1 then AEZ="L-Hyb";
if dlow=1 and hyb=0 then AEZ="L-Non";
if dmed=1 and hyb=1 then AEZ="M-Hyb";
if (dmed=1 or dhigh=1) and hyb=0 then AEZ="MH-No";
if (dmed=1 or dhigh=1) and hyb=1 then AEZ="MH-Hy";
if dhigh=1 and hyb=0 then AEZ="H-Non";

proc sort data=panf; by year AEZ; run;
proc means data=panf noprint; var hyb fertac hfert yld fkm; by year AEZ; output out=outhf mean=mhyb mfert mhfert myield mfkm; 
where  fertac<300 and 10<yld<7500;* and switch=0; run;
proc means data=outhf; var mhyb mfert mhfert myield mfkm; run;
data outhf1; set outhf; 
lyield=log(myield);
mhyb=mhyb*100; 
lmfert=log(mfert); 
if aez='L-Non' and myield>5000 then delete;
if aez='L-Non' and myield<50 then delete;
if aez='MH-No' or aez='MH-Hy' then dmh=1; else dmh=0;  
label mhyb="Hybrid Use (%)";
label mhfert="Fertilizer Rate (kg/ha)";
label mfert="Fertilizer Rate (kg/ha)";
label myield="Yield (kg/ha)";
label mfkm = "Distance to Market (km)"
run; 

proc sort data=outhf1; by dmh aez; 

proc export data=outhf1 outfile='\\psf\Home\Documents\Tegemeo\data\outhf1_1-16-18.xls' dbms = xls replace;
     sheet='outhf1'; run;

proc means data=pan1; var dmzbuy hyb dfert; where hfs=1; run; 
proc means data=pan1; var dmzbuy hyb dfert; where switch1=1; run; 

proc means data=pan1; var slope nfermz dflat dsteep dsterr dmoder dmterr dmzbuy; run; 
proc chart data=pan7041; hbar nfermz/midpoints=1 2 3 4 5 6 7 8 9 10 11 12; where dhigh=1; run;
proc chart data=pan7041; hbar slope/midpoints=1 2 3 4 5 6 7 8 9 10 11 12;  run;

proc means data=pan1; var yld hyb hyball hybnon seedac fertac dfert frtall frtnon acresm totacres hhsize dmilk doub intc fkm dhiv ;run; 
proc means data=pan1; var yld hyb hyball hybnon seedac fertac dfert frtall frtnon acresm totacres hhsize dmilk doub intc fkm dhiv ; where dlow=1; run; 
proc means data=pan1; var yld hyb hyball hybnon seedac fertac dfert frtall frtnon acresm totacres hhsize dmilk doub intc fkm dhiv ; where dmed=1; run; 
proc means data=pan1; var yld hyb hyball hybnon seedac fertac dfert frtall frtnon acresm totacres hhsize dmilk doub intc fkm dhiv ; where dhigh=1; run; 


proc means data=pan1; var fkm dhiv hyball hybnon switch hybp nhybp frtall frtnon frtsw frtp nfrtp hfp hfn hfs ;run; 
proc means data=pan1; var fkm dhiv hyball hybnon switch hybp nhybp frtall frtnon frtsw frtp nfrtp hfp hfn hfs ;where dlow=1; run; 
proc means data=pan1; var fkm dhiv hyball hybnon switch hybp nhybp frtall frtnon frtsw frtp nfrtp hfp hfn hfs ;where dmed=1; run; 
proc means data=pan1; var fkm dhiv hyball hybnon switch hybp nhybp frtall frtnon frtsw frtp nfrtp hfp hfn hfs ;where dhigh=1; run; 

proc means data=pan1; var yld dhiv hyball hybnon switch hybp nhybp frtall frtnon frtsw frtp nfrtp hfp hfn hfs ;where dlow=1 and dhiv=0; run; 
proc means data=pan1; var yld dhiv hyball hybnon switch hybp nhybp frtall frtnon frtsw frtp nfrtp hfp hfn hfs ;where dlow=1 and dhiv=1; run; 

proc means data=pan1; var hyball hybnon hybp nhybp frtall frtnon frtp nfrtp hfp hfn hfs ;where dlow=1 and year>2004; run; 


proc means data=pan1; var hyball hybnon hybp nhybp frtp nfrtp hfp hfn hfs ;where dlow=1; run; 
proc means data=pan1; var hybp nhybp frtp nfrtp hfp hfn hfs ;run; 
proc means data=pan1; var hybp nhybp frtp nfrtp hfp hfn hfs ;run; 


proc means data=pan1; var hfs hfsh hfsf hfshf hfsn; where dlow=1;  run;
proc means data=pan1; var hfs hfsh hfsf hfshf hfsn; where dmed=1;  run;
proc means data=pan1; var hfs hfsh hfsf hfshf hfsn; where dhigh=1;  run;

proc means data=pan7041; var hybn hfs hfsh hfsf hfshf hfsn; where hfs=1; run;
proc means data=pan7041; var hfs hfsh hfsf hfshf hfsn; where dlow=1;  run;
proc means data=pan7041; var hfs hfsh hfsf hfshf hfsn; where dmed=1;  run;
proc means data=pan7041; var hfs hfsh hfsf hfshf hfsn; where dhigh=1;  run;

proc means data=pan7041; var yld; where hfshf=1; run;
proc means data=pan7041; var yld; where hfp=1; run;
proc means data=pan7041; var yld; where hfsn=1 and dmed=1; run;
proc means data=pan7041; var yld; where hfp=1 and dmed=1; run;

* linear prob models; 

proc model data=pan1; *where switch1=1; 
hyb = b0 + adl*dlow + adh*dhigh;*
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  + adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred;
fit hyb; run; 

proc model data=pan1; where switch=0; 
hyb = b0 + adl*dlow + adh*dhigh;*
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  + adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred;
fit hyb; run; 

proc model data=pan1; where switch=1; 
hyb = b0 + adl*dlow + adh*dhigh;*
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  + adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred;
fit hyb; run; 

proc model data=pan1; where switch=0; 
hyb = b0 /*+ adl*dlow + adh*dhigh
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10*/ + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6;*
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  + adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred;
fit hyb; run; 
proc model data=pan1; where switch=1; 
hyb = b0 /*+ adl*dlow + adh*dhigh
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10*/ + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6;*
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  + adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred;
fit hyb; run; 

proc model data=pan1; *where switch1=1; 
hyb = b0 /*+ adl*dlow + adh*dhigh*/
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10/* + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6*/
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  + adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred;
fit hyb; run; 

proc model data=pan1; where switch=0; 
hyb = b0 /*+ adl*dlow + adh*dhigh*/
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10/* + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6*/
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  + adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred;
fit hyb; run; 

proc model data=pan1; where switch=1; 
hyb = b0 /*+ adl*dlow + adh*dhigh*/
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10/* + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6*/
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  + adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred;
fit hyb; run; 

title "all farms";
proc model data=pan1; *where switch1=1; 
hyb = b0 + adl*dlow + adh*dhigh
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  /*+ adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*(fkm) + amot*(dmot) 
+ aext*(dext) + acred*cred ;
fit hyb; run; 
title "Permanent";
proc model data=pan1; where switch=0; 
hyb = b0 + adl*dlow + adh*dhigh
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  /*+ adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*(fkm) + amot*(dmot) 
+ aext*(dext) + acred*cred;
fit hyb; run; 
title "transitory";
proc model data=pan1; where switch=1; 
hyb = b0 + adl*dlow + adh*dhigh
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  /*+ adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*(fkm) + amot*(dmot) 
+ aext*(dext) + acred*cred;
fit hyb; run; 

proc model data=pan1; *where switch1=1; 
dfert = b0 + adl*dlow + adh*dhigh;*
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  + adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred;
fit dfert; run; 
proc model data=pan1; where switch=0; 
dfert = b0 + adl*dlow + adh*dhigh;*
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  + adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred;
fit dfert; run; 
proc model data=pan1; where switch=1; 
dfert = b0 + adl*dlow + adh*dhigh;*
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  + adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred;
fit dfert; run; 

proc model data=pan1; *where switch1=1; 
dfert = b0 + /*adl*dlow + adh*dhigh
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10*/ + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6;*
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  + adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred;
fit dfert; run; 
proc model data=pan1; where switch=0; 
dfert = b0 /*+ adl*dlow + adh*dhigh
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 */+ adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6;*
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  + adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred;
fit dfert; run; 
proc model data=pan1; where switch=1; 
dfert = b0 /*+ adl*dlow + adh*dhigh
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10*/ + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6;*
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  + adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred;
fit dfert; run; 

proc model data=pan1; *where switch1=1; 
dfert = b0 /*+ adl*dlow + adh*dhigh*/
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10/* + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6*/
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  + adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred;
fit dfert; run; 

proc model data=pan1; where switch=0; 
dfert = b0 /*+ adl*dlow + adh*dhigh*/
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10/* + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6*/
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  + adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred;
fit dfert; run; 

proc model data=pan1; where switch=1; 
dfert = b0 /*+ adl*dlow + adh*dhigh*/
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10/* + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6*/
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  + adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred;
fit dfert; run; 

proc model data=pan1; *where switch1=1; 
dfert = b0 + adl*dlow + adh*dhigh
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  + adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred;
fit dfert; run; 

proc model data=pan1; where switch=0; 
dfert = b0 + adl*dlow + adh*dhigh
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  + adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred;
fit dfert; run; 

proc model data=pan1; where switch=1; 
dfert = b0 + adl*dlow + adh*dhigh
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt)  + adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred;
fit dfert; run; 

proc model data=pan1; 
fertac = b0 + adl*dlow + adh*dhigh;* /*+ bhyb*hyb + bdf*dfert + bhybfert*hyb*dfert + bhyby*layld*hyb + bferty*layld*dfert + afrt*log(1-dfert+fertac)*/
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6 
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize 
+ axt*log(annxt/annit) + adpth*log(depth) + adflat*dflat/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred /*+ adf*dfert*/ 
+ admzpur*dmzpur;
fit fertac; run; 

proc model data=pan1; 
yld = exp(b0 + adl*dlow + adh*dhigh);* + bhyb*hyb + bdf*dfert + afrt*log(1-dfert+fertac)
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6 
+ acm*log(acresm) + asdac*log(seedac) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + ait*log(annit)  + adpth*log(depth) 
+ adst*dsteep + afkm*(fkm) + aext*(dext) + acred*cred) ;
fit yld; run; 

proc model data=pan1; 
yld = exp(b0 + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6); * 
+ acm*log(acresm) + asdac*log(seedac) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + ait*log(annit)  + adpth*log(depth) 
+ adst*dsteep + afkm*(fkm) + aext*(dext) + acred*cred) ;
fit yld; run; 

proc means data=pan1; var dprov1 dprov3 dprov4 dprov5 dprov6; where dlow=1; run;
proc means data=pan1; var dprov1 dprov3 dprov4 dprov5 dprov6; where dmed=1; run;
proc means data=pan1; var dprov1 dprov3 dprov4 dprov5 dprov6; where dhigh=1; run;

title "all zones";
proc model data=pan1; 
yld = exp(b0 + ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6 
+ bhyb*hyb + bdf*dfert + afrt*log(1-dfert+fertac)  + asdac*log(seedac)+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + afkm*(fkm) + aext*(dext) + acred*cred) ;
fit yld/hccme=3; run; 
 
title "low zone";
proc model data=pan1; where dlow=1; 
yld = exp(b0 + ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10   + adpr1*dprov1 + adpr4*dprov4
+ bhyb*hyb + bdf*dfert + afrt*log(1-dfert+fertac)  + asdac*log(seedac)+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt)   + afkm*(fkm) + admot*dmot+ aext*(dext) + acred*cred ) ;
fit yld/hccme=3; run; 

title "med zone";
proc model data=pan1; where dlow=0 and dhigh=0; 
yld = exp(b0 + ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6 
+ bhyb*hyb + bdf*dfert + afrt*log(1-dfert+fertac)  + asdac*log(seedac)+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt)   + afkm*(fkm) + admot*dmot+ aext*(dext) + acred*cred ) ;
fit yld/hccme=3; run; 

title "high zone";
proc model data=pan1; where dhigh=1; 
yld = exp(b0 + ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 + adpr5*dprov5
+ bhyb*hyb + bdf*dfert + afrt*log(1-dfert+fertac)  + asdac*log(seedac)+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + afkm*(fkm) + admot*dmot+ aext*(dext) + acred*cred ) ;
fit yld/hccme=3; run; 

* simple aes models; 
title "all zones";
proc model data=pan1; *where year=1997 or year=2004;  
yld = exp(b0 + ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 /*+ adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6 */
+ bhyb*hyb + bhyby*hyb*layld );*+ bdf*dfert + afrt*log(1-dfert+fertac) + asdac*log(seedac)+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + afkm*(fkm) + aext*(dext) + acred*cred) ;
beta=bhyb+bhyby*layld; 
yldn= exp(b0 + ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10); *+ adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6 
+ bdf*dfert + afrt*log(1-dfert+fertac) + asdac*log(seedac)+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + afkm*(fkm) + aext*(dext) + acred*cred) ;
yldh=exp(b0 + ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 /*+ adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6 */
+ bhyb + bhyby*layld);* + bdf*dfert + afrt*log(1-dfert+fertac) + asdac*log(seedac)+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + afkm*(fkm) + aext*(dext) + acred*cred) ;
retc=yldh-yldn;
hyball=hyball; 
hybnon=hybnon; 
dhigh=dhigh;
dmed=dmed; 
dlow=dlow; 
switch1=switch1; 
fit yld/hccme=3; 
solve beta yldn yldh retc/out=oreturn; run; 
proc means data=oreturn; run;
proc chart data=oreturn; hbar beta retc; run;
proc chart data=oreturn; hbar retc; where hyball=1 and dmed=1; run;
proc chart data=oreturn; hbar retc; where hyball=1 and dhigh=1; run;
proc chart data=oreturn; hbar  retc; where hybnon=1 and dlow=1; run;
proc chart data=oreturn; hbar  retc; where switch1=1 ; run;

data hdat; set oreturn; if hyball=1 and dhigh=1; 
retch=retc; 
betah=beta; 
data mdat; set oreturn; if hyball=1 and dmed=1; 
retcm=retc; 
betam=beta; 
data ldat; set oreturn; if hybnon=1 and dlow=1; 
retcl=retc; 
betal=beta; 
data sdat; set oreturn; if switch1=1; 
retcs=retc; 
betas=beta; 
data slmhdat; merge sdat hdat mdat ldat; 
label retch="Hybrid Returns (kg/ac)";
label betah="Hybrid Returns (log kg/ac)";
run;
title " ";
proc sgplot data=slmhdat; 
*xaxis min=-300 max=1000; 
density betah/type=kernel legendlabel='Permanent Adopters - High' lineattrs=(color=black); 
density betam/type=kernel legendlabel='Permanent Adopters - Medium' lineattrs=(color=black); 
density betal/type=kernel legendlabel='Permanent Non-Adopters - Low' lineattrs=(color=black); 
density betas/type=kernel legendlabel='Transitory' lineattrs=(color=black); 
run; 

proc sgplot data=slmhdat; 
xaxis min=-300 max=1000; 
density retch/type=kernel legendlabel='Permanent Adopters - High' lineattrs=(color=black); 
density retcm/type=kernel legendlabel='Permanent Adopters - Medium' lineattrs=(color=black); 
density retcl/type=kernel legendlabel='Permanent Non-Adopters - Low' lineattrs=(color=black); 
density retcs/type=kernel legendlabel='Transitory' lineattrs=(color=black); 
run; 

title "low zone";
proc model data=pan1; where dlow=1 and (year=1997 or year=2004); 
yld = exp(b0 + ad04*d04   + adpr1*dprov1 + adpr4*dprov4
+ bhyb*hyb + bdf*dfert + afrt*log(1-dfert+fertac)  + asdac*log(seedac)+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt)   + afkm*(fkm) + admot*dmot+ aext*(dext) + acred*cred ) ;
fit yld/hccme=3; run; 

title "med zone";
proc model data=pan1; where dlow=0 and dhigh=0 and (year=1997 or year=2004); 
yld = exp(b0 + ad04*d04  + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6 
+ bhyb*hyb + bdf*dfert + afrt*log(1-dfert+fertac)  + asdac*log(seedac)+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt)   + afkm*(fkm) + admot*dmot+ aext*(dext) + acred*cred ) ;
fit yld/hccme=3; run; 

title "high zone";
proc model data=pan1; where dhigh=1 and (year=1997 or year=2004); 
yld = exp(b0 + ad04*d04  + adpr5*dprov5
+ bhyb*hyb + bdf*dfert + afrt*log(1-dfert+fertac)  + asdac*log(seedac)+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + afkm*(fkm) + admot*dmot+ aext*(dext) + acred*cred ) ;
fit yld/hccme=3; run; 

proc model data=pan1; where dhigh=1 and switch=1; 
yld = exp(b0 + bhyb*hyb + bdf*dfert + afrt*log(1-dfert+fertac)
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 
+ acm*log(acresm) + asdac*log(seedac) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + ait*log(annit)  + adpth*log(depth) 
+ adst*dsteep + afkm*(fkm) + aext*(dext) + acred*cred) ;
fit yld; run; 

proc model data=pan1; where dhigh=1; 
yld = exp(b0  + bhyb*hyb*hyball + bsw*hyb*switch  + bdf*dfert + afrt*log(1-dfert+fertac)
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 
+ acm*log(acresm) + asdac*log(seedac) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + ait*log(annit)  + adpth*log(depth) 
+ adst*dsteep + afkm*(fkm) + aext*(dext) + acred*cred) ;
test bhyb=bsw; 
fit yld; run; 

* models for tables; 

proc model data=pan1; 
hyb = exp(b0 + bdl*dlow + bdh*dhigh + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6 
+ acm*log(acresm) + asdac*log(seedac) + atot*ltotac 
+ am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) /*+ ait*(annit)*/  + adpth*log(depth) 
+ adst*dsteep + afkm*(fkm) + aext*(dext) + acred*cred) + adhiv*dhiv + ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10  ;
fit hyb/hccme=3; run; 
proc model data=pan1; where switch=0; 
hyb = exp(b0 + bdl*dlow + bdh*dhigh + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6 
+ acm*log(acresm) + asdac*log(seedac) + atot*ltotac 
+ am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + ait*log(annit)  + adpth*log(depth) 
+ adst*dsteep + afkm*(fkm) + aext*(dext) + acred*cred) + ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10  ;
fit hyb/hccme=3; run; 
proc model data=pan1; where switch=1; 
hyb = exp(b0 + bdl*dlow + bdh*dhigh + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6 
+ acm*log(acresm) + asdac*log(seedac) + atot*ltotac 
+ am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + ait*log(annit)  + adpth*log(depth) 
+ adst*dsteep + afkm*(fkm) + aext*(dext) + acred*cred) + ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10  ;
fit hyb/hccme=3; run; 
proc model data=pan1; 
dfert = exp(b0 + bdl*dlow + bdh*dhigh /*+ adpr1*dprov1*/ + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6 
+ acm*log(acresm) + asdac*log(seedac) + atot*ltotac 
+ am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + ait*log(annit)  + adpth*log(depth) 
+ adst*dsteep + afkm*(fkm) + aext*(dext) + acred*cred) + ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10  ;
fit dfert/hccme=3; run; 
proc model data=pan1; where switch=0; 
dfert = exp(b0 + bdl*dlow + bdh*dhigh + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6 
 + acm*log(acresm) + asdac*log(seedac) + atot*ltotac 
+ am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + ait*log(annit)  + adpth*log(depth) 
+ adst*dsteep + afkm*(fkm) + aext*(dext) + acred*cred) + ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10  ;
fit dfert/hccme=3; run; 
proc model data=pan1; where switch=1; 
dfert = exp(b0 + bdl*dlow + bdh*dhigh + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6 
+ acm*log(acresm) + asdac*log(seedac) + atot*ltotac 
+ am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + ait*log(annit)  + adpth*log(depth) 
+ adst*dsteep + afkm*(fkm) + aext*(dext) + acred*cred) + ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10  ;
fit dfert/hccme=3; run; 

proc model data=pan1; 
yld = exp(b0 + bdl*dlow + bdh*dhigh + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6 
+ bdhyb*hyb + bdf*dfert + afrt*log(1-dfert+fertac) + acm*log(acresm) + asdac*log(seedac) + atot*ltotac 
+ am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt)  /*+ ait*log(annit)*/  + adpth*log(depth) 
+ adst*dsteep + afkm*(fkm) + aext*(dext) + acred*cred) + ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10  ;
fit yld/hccme=3; run; 
proc model data=pan1; where switch=0; 
yld = exp(b0 + bdl*dlow + bdh*dhigh + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6 
+ bdhyb*hyb + bdf*dfert + afrt*log(1-dfert+fertac) + acm*log(acresm) + asdac*log(seedac) + atot*ltotac 
+ am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + ait*log(annit)  + adpth*log(depth) 
+ adst*dsteep + afkm*(fkm) + aext*(dext) + acred*cred) + ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10  ;
fit yld/hccme=3; run; 
proc model data=pan1; where switch=1; 
yld = exp(b0 + bdl*dlow + bdh*dhigh + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6 
+ bdhyb*hyb + bdf*dfert + afrt*log(1-dfert+fertac) + acm*log(acresm) + asdac*log(seedac) + atot*ltotac 
+ am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + ait*log(annit)  + adpth*log(depth) 
+ adst*dsteep + afkm*(fkm) + aext*(dext) + acred*cred) + ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10  ;
fit yld/hccme=3; run; 

proc model data=pan1; where dlow=1 and 10<yld<2000; 
yld = exp(b0 + bdhyb*hyb + bdf*dfert + afrt*log(1-dfert+fertac) + acm*log(acresm) + asdac*log(seedac) + atot*ltotac 
+ am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt)   + adpth*log(depth) 
+ adst*dsteep + afkm*(fkm) + aext*(dext) + acred*cred) + ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10  ;
fit yld/hccme=3; run; 
proc model data=pan1; where dmed=1; 
yld = exp(b0 + bdhyb*hyb + bdf*dfert + afrt*log(1-dfert+fertac) + acm*log(acresm) + asdac*log(seedac) + atot*ltotac 
+ am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt)   + adpth*log(depth) 
+ adst*dsteep + afkm*(fkm) + aext*(dext) + acred*cred) + ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10  ;
fit yld/hccme=3; run; 
proc model data=pan1; where dhigh=1; 
yld = exp(b0 + bdhyb*hyb + bdf*dfert + afrt*log(1-dfert+fertac) + acm*log(acresm) + asdac*log(seedac) + atot*ltotac 
+ am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt)  + adpth*log(depth) 
+ adst*dsteep + afkm*(fkm) + aext*(dext) + acred*cred) + ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10  ;
fit yld/hccme=3; run; 

* var coef model; 

proc model data=pan1; 
yld = exp(b0 + adl*dlow + adh*dhigh + bhyb*hyb + bhyby*hyb*layld + bdf*dfert + afrt*log(1-dfert+fertac)
+ layld*(ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10) + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6 
+ acm*log(acresm) + asdac*log(seedac) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + ait*log(annit) + adpth*log(depth) 
+ adst*dsteep + adsterr*dsterr + admod*dmoder + admterr*dmterr/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred /*+ adf*dfert*/) ;
yldc = exp(b0 + adl*dlow + adh*dhigh + bdf*dfert + afrt*log(1-dfert+fertac)
+ layld*(ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10) + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6 
+ acm*log(acresm) + asdac*log(seedac) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + ait*log(annit) + adpth*log(depth) 
+ adst*dsteep + adsterr*dsterr + admod*dmoder + admterr*dmterr/*+ aclay*clay + asnd*sand + aslt*silt*/ + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred /*+ adf*dfert*/) ;
beta=bhyb+ bhyby*layld; 
retc=(exp(beta)-1)*yldc; 
fit yld; run; 
solve beta retc/out=bout; run;
proc chart data=bout; hbar beta retc ; *where dlow=1; run;
proc chart data=bout; hbar beta retc ; where dlow=1; run;
proc chart data=bout; hbar beta retc ; where dmed=1; run;
proc chart data=bout; hbar beta retc ; where dhigh=1; run;

data datlow; set bout; if dlow=1; retcl=retc; run;
data datmed; set bout; if dlow=0 and dhigh=0; retcm=retc; run;
data dathigh; set bout; if dhigh=1; retch=retc; run;

data datlmh; merge datlow datmed dathigh; run;
proc sgplot data=datlmh;
density retcl/type=kernel lineattrs=(color=black); 
density retcm/type=kernel lineattrs=(color=black); 
density retch/type=kernel lineattrs=(color=black); 
run;

proc means data=pan7041; var hybf hybn nfert nhnf; where nfert=0 and hybn=0; run;

proc model data=pan7041; where dlow=0; 
yld = exp(b0  /*+ adl*dlow*/ + adh*dhigh  + bhyb*hyb + bdf*dfert + afrt*log(1-dfert+fertac) 
+ layld*(ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10) + adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6 
+ asd*log(seedac) + acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + ait*log(annit) + adpth*log(depth) 
+ adst*dsteep + adsterr*dsterr + admod*dmoder + admterr*dmterr /*+ aclay*clay + asnd*sand + aslt*silt+ afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred*/ ) ;
yldn = exp(b0 + bryld*log(relyld) 
+ layld*(ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10) /*+ adpr1*dprov1 + adpr3*dprov3 + adpr4*dprov4 + adpr5*dprov5 + adpr6*dprov6 */
+ asd*log(seedac) + acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + ait*log(annit) + adpth*log(depth) /*+ aclay*clay + asnd*sand + aslt*silt + afkm*log(fkm+1) + amot*log(dmot+1) + aext*log(dext+1) + acred*cred */ );
betahf=bhyb /*+bhyby*layld */+ bdf /*+ bhybfert*/ + afrt*log(1-dfert+fertac); 
betah=bhyb ; 
betaf= bdf + afrt*log(1-dfert+fertac); 
rethf=yldn*(exp(betahf)-1);
reth=yldn*(exp(betah)-1);
retf=yldn*(exp(betaf)-1);
hybf=hybf; 
hybn=hybn;
nfert=nfert;
fit yld; run; 
solve betahf betah betaf yldn rethf reth retf/out=obetaL;
data obeta1L; set obetaL;
rethfc=rethf-100;
rethc=reth-30; 
retfc=retf-70;
if rethfc>0 and rethfc>retfc and rethfc>rethc then adopthf=1; else adopthf=0; 
if rethc>0 and rethc>retfc and rethc>rethfc then adopth=1; else adopth=0;
if retfc>0 and retfc>rethc and retfc>rethfc then adoptf=1; else adoptf=0; 
/*if rethf>100 then adopthf=1; else adopthf=0;  
if reth>30 then adopth=1; else adopth=0;  
if retf>40 then adoptf=1; else adoptf=0;  
if adoptf=1 and adopth=1 then adopthf=1;
if ((reth>30 and retf>70) or rethf>100) then adopthf=1; else adopthf=0; 
if adopthf=0 and reth>30 then adopth=1; else adopth=0; 
if adopthf=0 and retf>70 then adoptf=1; else adoptf=0; 
*/

proc model data=pan7041; where dlow=1 and hfs=0; 
lyld = b0 + bhyb*hyb + bdf*dfert + bhybfert*hyb*dfert + bhyby*layld*hyb + bferty*layld*dfert + afrt*log(1-dfert+fertac)
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 + asd*log(seedac)
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + ait*log(annit);* + afkm*fkm + amot*dmot + aext*dext + acred*cred /*+ adf*dfert*/ ;
lyldn = b0  + ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10  + asd*log(seedac)
+ acm*log(acresm) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + ait*log(annit);* + afkm*fkm + amot*dmot + aexant*dext + acred*cred /*+ adf*dfert*/ ;
betahf=bhyb+bhyby*layld + bdf + bhybfert + bferty*layld + afrt*log(1-dfert+fertac); 
betah=bhyb+bhyby*layld ; 
betaf= bdf + bferty*layld + afrt*log(1-dfert+fertac); 
rethf=exp(lyldn)*(exp(betahf)-1);
reth=exp(lyldn)*(exp(betah)-1);
retf=exp(lyldn)*(exp(betaf)-1);
hybf=hybf; 
hybn=hybn;
nfert=nfert;
nhnf=nhnf;
fit lyld; run; 
solve betahf betah betaf lyldn rethf reth retf/out=obetaL;
data obeta1L; set obetaL;
rethfc=rethf-100;
rethc=reth-30; 
retfc=retf-70;
if rethfc>retfc and rethfc>rethc then adopthf=1; else adopthf=0; 
if rethc>retfc and rethc>rethfc then adopth=1; else adopth=0;
if retfc>rethc and retfc>rethfc then adoptf=1; else adoptf=0;  
if rethf>100 then adopthf=1; else adopthf=0;  
if reth>30 then adopth=1; else adopth=0;  
if retf>40 then adoptf=1; else adoptf=0;  

proc plot data=pan1; plot yld*fkm; run;

* models for hyb and non-hyb; 
data pan1; set pan7041; where hyb=1; 
if yld ne .;
if hyb ne .;
if fertac ne .;
if seedac ne .; 
if dlow ne .;
if dhigh ne .;
if dprov1 ne .;
if dprov3 ne .;
if dprov4 ne .;
if dprov5 ne .;
if lacresm ne .;
if ltotac ne .;
if dmilk ne .;
if main ne .;
if annxt ne .;
if annit ne .; 
if hhsize ne .;
if intc ne .;
if doub ne .;
if fkm ne .;
if dext ne .; 
if cred ne .;
if hhid ne 157; 

proc model data=pan1;  
yld = exp(b0 + bdf*dfert + afrt*log(1-dfert+fertac)
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 
+ acm*log(acresm) + asdac*log(seedac) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + ait*log(annit)  + adpth*log(depth) 
+ adst*dsteep + afkm*(fkm) + aext*(dext) + acred*cred) ;
hhid=hhid;
year=year;
pyld = exp(b0 + bdf*dfert + afrt*log(1-dfert+fertac)
+ ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 
+ acm*log(acresm) + asdac*log(seedac) + atot*ltotac + am*log(main) + admilk*dmilk + ainter*inter + adoub*doub + ahhsz*hhsize
+ axt*log(annxt) + ait*log(annit)  + adpth*log(depth) 
+ adst*dsteep + afkm*(fkm) + aext*(dext) + acred*cred) ;
fit yld; run;
solve pyld/out=outp; run;

data outp1; set outp;
res=yld-pyld;
respyld=res/pyld; 
lres=log(1+res/pyld);
if lres ne .; 
proc means data=outp1; run;
proc sort data=outp1; by hhid year; run;
proc panel data=outp1;
id hhid year;
model lres = dfert fertac seedac acresm ltotac dmilk inter doub main hhsize fkm dext cred / fixtwo ;
test dfert,fertac,seedac,acresm,ltotac,dmilk,inter,doub,main,hhsize,fkm,dext,cred;
run; 

proc model data=pan1; 
yld = + ad00*d00 + ad04*d04 + ad07*d07 + ad10*d10 + adl*dlow + adh*dhigh + afkm*fkm + adlfkm*dlow*fkm + adhfkm*dhigh*fkm; 
fit yld; 
run;
